# Uses of Class
javax.crac.Context

Packages that use Context
Package
Description
javax.crac
Provides explicit coordination with a checkpoint/restore mechanism.

## Uses of Context in javax.crac

Methods in javax.crac that return Context
Modifier and Type
Method
Description
`static Context<Resource>`
Core.`getGlobalContext()`
Gets the global `Context` for checkpoint/restore notifications.
Methods in javax.crac with parameters of type Context
Modifier and Type
Method
Description
`abstract void`
Context.`afterRestore(Context<? extends Resource> context)`
`void`
Resource.`afterRestore(Context<? extends Resource> context)`
Invoked by a `Context` as a notification about restore.
`abstract void`
Context.`beforeCheckpoint(Context<? extends Resource> context)`
`void`
Resource.`beforeCheckpoint(Context<? extends Resource> context)`
Invoked by a `Context` as a notification about checkpoint.